Skip to main content
PUT
Add and/or Remove Records from a List

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://app.hubspot.com/oauth/authorize
Token URL
https://api.hubapi.com/oauth/v1/token
Scopes2
crm.lists.write
crm.segments.read

Path Parameters

listId
string
required

The ILS ID of the MANUAL or SNAPSHOT list.

Body

application/json
recordIdsToAdd
string[]
required
recordIdsToRemove
string[]
required

Response

successful operation

recordIdsMissing
string[]
required

The IDs of the records that were missing (e.g. did not exist in the portal) and so were not added or removed.

recordIdsRemoved
string[]
required

The IDs of the records that were removed from the list.

recordsIdsAdded
string[]
required
Last modified on September 9, 2026